<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/hashed_array.php';
require_once 'lib/tv/abstract_tv.php';
require_once 'lib/tv/default_epg_item.php';
//require_once "get_streams.php";

$opts[CURLOPT_CONNECTTIMEOUT] = 3;
$opts[CURLOPT_TIMEOUT] = 3;
$file = http_get_document("http://ddaaff.mydune.ru/free_tv/ver_scripts.txt", $opts);


//if (file_get_contents("http://ddaaff.mydune.ru/free_tv/ver_scripts.txt"))
if ($file != "")
{
//echo "Сервер доступен";
define("SERVER", "ddaaff.mydune.ru");
}
else
{
echo "Сервер НЕ доступен";
define("SERVER", "freetv.esalecrm.net");
}

$get_streams = get_streams();
if (file_exists($get_streams))
require $get_streams;


function get_streams()
{
	$update = false;
	$link = "/tmp/plugins/get_streams.php";
	if (file_exists('/persistfs/plugins_data'))
		$link = '/persistfs/plugins_data/get_streams.php';
	if (file_exists("/system/dunehd/init"))
		$link = '/flashdata/plugins_data/get_streams.php';
	
$opts[CURLOPT_CONNECTTIMEOUT] = 10;
$opts[CURLOPT_TIMEOUT] = 10;
$vers1 = http_get_document("http://" . SERVER . "/free_tv/get_streams.txt", $opts, true);

	if ($vers1 == true)
	{
		preg_match('|##(.*?)##|', $vers1, $matches1);
		if (file_exists($link))
		{
			$vers2 = file_get_contents($link);
			preg_match('|##(.*?)##|', $vers2, $matches2);
			if ($matches1[1]>$matches2[1])
				$update = true;
		}
		if ((($matches1[1] == true)&&($update == true)) || (!file_exists($link)))
			file_put_contents($link,$vers1);
	}
	return $link;
}

///////////////////////////////////////////////////////////////////////////